For Developers

Permissions

List All Permissions

GET https://ed.link/api/v1/permissions

Retrieve a list of all active permissions and their associated metadata. There are no special parameters available for this endpoint. The full permission catalog is returned without pagination.

Sample Request

const permissions = await axios.get('https://ed.link/api/v1/permissions');

Sample Response

{
    "$data": [
        {
            "id": "8a5c2e39-aa7a-4229-99b3-6a4d46de9c0b",
            "created_date": "2019-11-18T00:18:19.088Z",
            "updated_date": "2019-11-18T00:18:19.088Z",
            "sensitive": false,
            "readonly": false,
            "group": "authentication",
            "name": "Single Sign On",
            "description": "Allows end users to sign in using their credentials from the selected source.",
            "active": true
        },
        { ... }
    ]
}